edu.wpi.first.wpilibj

## Enum Relay.Value

- java.lang.Object
- - java.lang.Enum<Relay.Value>
  - - edu.wpi.first.wpilibj.Relay.Value

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Relay.Value>
  Enclosing class:
    Relay

      public static enum Relay.Value
      extends java.lang.Enum<Relay.Value>

  The state to drive a Relay to.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kForward`
    `kOff`
    `kOn`
    `kReverse`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPrettyValue()`
    `static java.util.Optional<Relay.Value>` | `getValueOf(java.lang.String value)`
    `static Relay.Value` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Relay.Value[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kOff

          public static final Relay.Value kOff

    - #### kOn

          public static final Relay.Value kOn

    - #### kForward

          public static final Relay.Value kForward

    - #### kReverse

          public static final Relay.Value kReverse

  - ### Method Detail

    - #### values

          public static Relay.Value[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Relay.Value c : Relay.Value.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Relay.Value valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPrettyValue

          public java.lang.String getPrettyValue()

    - #### getValueOf

          public static java.util.Optional<Relay.Value> getValueOf(java.lang.String value)